Changes between Initial Version and Version 1 of Ticket #15712, comment 31


Ignore:
Timestamp:
Apr 12, 2018, 9:46:01 PM (3 years ago)
Author:
mojca (Mojca Miklavec)
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #15712, comment 31

    initial v1  
    1111platforms {darwin < 10} {darwin 11}
    1212}}}
    13 means that the code in that port either requires some ancient SDK or no longer compiles with a newer compiler.
     13means that the code in that port either requires some ancient SDK or no longer compiles with a newer compiler. So basically it means that it would only compile on `darwin 11`, except that another dependency requires a newer OS, so this port could not be compiled at all.
    1414
    1515The message I want to convey is that a PortGroup specifying `{darwin > 10}` should not mean that a port using that PG can **additionally** (unconditionally) be compiled on any OS 10.7 or newer. It should mean that the port **cannot** be compiled on 10.6 and lower under any circumstances. Like the latest version of Qt.